# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.4
import uno
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoEnumMeta
    class PolygonKind(metaclass=UnoEnumMeta, type_name="com.sun.star.drawing.PolygonKind", name_space="com.sun.star.drawing"):
        """Dynamically created class that represents ``com.sun.star.drawing.PolygonKind`` Enum. Class loosly mimics Enum"""
        pass
else:
    from com.sun.star.drawing.PolygonKind import FREEFILL as POLYGON_KIND_FREEFILL
    from com.sun.star.drawing.PolygonKind import FREELINE as POLYGON_KIND_FREELINE
    from com.sun.star.drawing.PolygonKind import LINE as POLYGON_KIND_LINE
    from com.sun.star.drawing.PolygonKind import PATHFILL as POLYGON_KIND_PATHFILL
    from com.sun.star.drawing.PolygonKind import PATHLINE as POLYGON_KIND_PATHLINE
    from com.sun.star.drawing.PolygonKind import PATHPLIN as POLYGON_KIND_PATHPLIN
    from com.sun.star.drawing.PolygonKind import PATHPOLY as POLYGON_KIND_PATHPOLY
    from com.sun.star.drawing.PolygonKind import PLIN as POLYGON_KIND_PLIN
    from com.sun.star.drawing.PolygonKind import POLY as POLYGON_KIND_POLY


    class PolygonKind(uno.Enum):
        """
        Enum Class


        See Also:
            `API PolygonKind <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1drawing.html#adec70dcaa1fdfc08f03cf30ccee65ef6>`_
        """
        __ooo_ns__: str = 'com.sun.star.drawing'
        __ooo_full_ns__: str = 'com.sun.star.drawing.PolygonKind'
        __ooo_type_name__: str = 'enum'

        @property
        def typeName(self) -> str:
            return 'com.sun.star.drawing.PolygonKind'

        FREEFILL = POLYGON_KIND_FREEFILL
        """
        This is the PolygonKind for a ClosedFreeHandShape.
        """
        FREELINE = POLYGON_KIND_FREELINE
        """
        This is the PolygonKind for an OpenFreeHandShape.
        """
        LINE = POLYGON_KIND_LINE
        """
        the ConnectorShape is drawn as a straight line
        
        This is the PolygonKind for a LineShape.
        """
        PATHFILL = POLYGON_KIND_PATHFILL
        """
        This is the PolygonKind for a ClosedBezierShape.
        """
        PATHLINE = POLYGON_KIND_PATHLINE
        """
        This is the PolygonKind for an OpenBezierShape.
        """
        PATHPLIN = POLYGON_KIND_PATHPLIN
        """
        This is the PolygonKind for a PolyLinePathShape.
        """
        PATHPOLY = POLYGON_KIND_PATHPOLY
        """
        This is the PolygonKind for a PolyPolygonPathShape.
        """
        PLIN = POLYGON_KIND_PLIN
        """
        This is the PolygonKind for a PolyLineShape.
        """
        POLY = POLYGON_KIND_POLY
        """
        This is the PolygonKind for a PolyPolygonShape.
        """

__all__ = ['PolygonKind']

