# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.table
# Libre Office Version: 7.4
import uno
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoEnumMeta
    class CellVertJustify(metaclass=UnoEnumMeta, type_name="com.sun.star.table.CellVertJustify", name_space="com.sun.star.table"):
        """Dynamically created class that represents ``com.sun.star.table.CellVertJustify`` Enum. Class loosly mimics Enum"""
        pass
else:
    from com.sun.star.table.CellVertJustify import BOTTOM as CELL_VERT_JUSTIFY_BOTTOM
    from com.sun.star.table.CellVertJustify import CENTER as CELL_VERT_JUSTIFY_CENTER
    from com.sun.star.table.CellVertJustify import STANDARD as CELL_VERT_JUSTIFY_STANDARD
    from com.sun.star.table.CellVertJustify import TOP as CELL_VERT_JUSTIFY_TOP


    class CellVertJustify(uno.Enum):
        """
        Enum Class


        See Also:
            `API CellVertJustify <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1table.html#a17834bec5bf9ac4432141dee1c03b50b>`_
        """
        __ooo_ns__: str = 'com.sun.star.table'
        __ooo_full_ns__: str = 'com.sun.star.table.CellVertJustify'
        __ooo_type_name__: str = 'enum'

        @property
        def typeName(self) -> str:
            return 'com.sun.star.table.CellVertJustify'

        BOTTOM = CELL_VERT_JUSTIFY_BOTTOM
        """
        contents are aligned to the lower edge of the cell.
        """
        CENTER = CELL_VERT_JUSTIFY_CENTER
        """
        contents are horizontally centered.
        
        contents are aligned to the vertical middle of the cell.
        """
        STANDARD = CELL_VERT_JUSTIFY_STANDARD
        """
        default alignment is used (left for numbers, right for text).
        
        default alignment is used.
        
        contents are printed from left to right.
        """
        TOP = CELL_VERT_JUSTIFY_TOP
        """
        contents are aligned with the upper edge of the cell.
        """

__all__ = ['CellVertJustify']

