# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.uri
# Libre Office Version: 7.4
import uno
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoEnumMeta
    class RelativeUriExcessParentSegments(metaclass=UnoEnumMeta, type_name="com.sun.star.uri.RelativeUriExcessParentSegments", name_space="com.sun.star.uri"):
        """Dynamically created class that represents ``com.sun.star.uri.RelativeUriExcessParentSegments`` Enum. Class loosly mimics Enum"""
        pass
else:
    from com.sun.star.uri.RelativeUriExcessParentSegments import ERROR as RELATIVE_URI_EXCESS_PARENT_SEGMENTS_ERROR
    from com.sun.star.uri.RelativeUriExcessParentSegments import REMOVE as RELATIVE_URI_EXCESS_PARENT_SEGMENTS_REMOVE
    from com.sun.star.uri.RelativeUriExcessParentSegments import RETAIN as RELATIVE_URI_EXCESS_PARENT_SEGMENTS_RETAIN


    class RelativeUriExcessParentSegments(uno.Enum):
        """
        Enum Class


        See Also:
            `API RelativeUriExcessParentSegments <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1uri.html#ac4782e395626cbc2118cab947e07af22>`_
        """
        __ooo_ns__: str = 'com.sun.star.uri'
        __ooo_full_ns__: str = 'com.sun.star.uri.RelativeUriExcessParentSegments'
        __ooo_type_name__: str = 'enum'

        @property
        def typeName(self) -> str:
            return 'com.sun.star.uri.RelativeUriExcessParentSegments'

        ERROR = RELATIVE_URI_EXCESS_PARENT_SEGMENTS_ERROR
        """
        causes excess special parent segments to be treated as an error.
        """
        REMOVE = RELATIVE_URI_EXCESS_PARENT_SEGMENTS_REMOVE
        """
        causes excess special parent segments to be removed.
        """
        RETAIN = RELATIVE_URI_EXCESS_PARENT_SEGMENTS_RETAIN
        """
        causes excess special parent segments to be retained, treating them like ordinary segments.
        """

__all__ = ['RelativeUriExcessParentSegments']

