# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.util
# Libre Office Version: 7.4
import uno
from typing import TYPE_CHECKING
from ooo.oenv.env_const import UNO_ENVIRONMENT, UNO_RUNTIME
_DYNAMIC = False
if (not TYPE_CHECKING) and UNO_RUNTIME and UNO_ENVIRONMENT:
    _DYNAMIC = True

if not TYPE_CHECKING and _DYNAMIC:
    from ooo.helper.enum_helper import UnoEnumMeta
    class SearchAlgorithms(metaclass=UnoEnumMeta, type_name="com.sun.star.util.SearchAlgorithms", name_space="com.sun.star.util"):
        """Dynamically created class that represents ``com.sun.star.util.SearchAlgorithms`` Enum. Class loosly mimics Enum"""
        pass
else:
    from com.sun.star.util.SearchAlgorithms import ABSOLUTE as SEARCH_ALGORITHMS_ABSOLUTE
    from com.sun.star.util.SearchAlgorithms import APPROXIMATE as SEARCH_ALGORITHMS_APPROXIMATE
    from com.sun.star.util.SearchAlgorithms import REGEXP as SEARCH_ALGORITHMS_REGEXP


    class SearchAlgorithms(uno.Enum):
        """
        Enum Class

        ENUM SearchAlgorithms

        See Also:
            `API SearchAlgorithms <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1util.html#a88c44d0f9aaded4e5618f3f8adcde79f>`_
        """
        __ooo_ns__: str = 'com.sun.star.util'
        __ooo_full_ns__: str = 'com.sun.star.util.SearchAlgorithms'
        __ooo_type_name__: str = 'enum'

        @property
        def typeName(self) -> str:
            return 'com.sun.star.util.SearchAlgorithms'

        ABSOLUTE = SEARCH_ALGORITHMS_ABSOLUTE
        """
        Literal.
        """
        APPROXIMATE = SEARCH_ALGORITHMS_APPROXIMATE
        """
        Weighted Levenshtein Distance.
        """
        REGEXP = SEARCH_ALGORITHMS_REGEXP
        """
        Regular expression.
        """

__all__ = ['SearchAlgorithms']

